Arch: Rimuovere una forma

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch RemoveShape and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska
Arrow-left.svg Arch SelectNonSolidMeshes.png Seleziona mesh non solidi Pagina precedente:
Pagina successiva: Chiudi fori Arch CloseHoles.svg Arrow-right.svg

Arch RemoveShape.svg Rimuovi forma

Posizione nel menu
Arch → Utilità → Rimuovi forma
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi mesh, Da Mesh a Forma


Descrizione

Questo strumento tenta di eliminare una forma cubica (un parallelepipedo) incorporata in un Muro o in una Struttura e di regolare le sue proprietà per rendere l'oggetto rimanente totalmente parametrico. Questo strumento funziona solo se la forma da eliminare è cubica (con 6 facce e tutti gli angoli retti).

Utilizzo

  1. Selezionare un Muro o una Struttura.
  2. Premere il pulsante Arch RemoveShape.svg Rimuovi Forma in Arch → Utilità → Rimuovi Forma.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Questo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

removeShape(objs, mark=True)

Prende una lista di oggetti Arch (objs) costruiti su una forma cubica, e rimuove la forma interna, conservando la sua lunghezza, larghezza e altezza come proprietà dell'oggetto Arch.

  • Se mark è True, gli oggetti che non possono essere elaborati da questa funzione diventano rossi.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch SelectNonSolidMeshes.png Seleziona mesh non solidi Pagina precedente:
Pagina successiva: Chiudi fori Arch CloseHoles.svg Arrow-right.svg